Sensospot Grid
==============

Creating nice grid images from scans

## Example:

    > sensospot_grid /path/to/sensospot/raw/data/folder


## Help:

    > sensospot_grid --help
    Usage: sensospot_grid [OPTIONS] SOURCE

    command line interface to process a complete raw data directory

    source: the raw data directory output: directory to store the cropped
    images in wells: glob pattern for well matching exposures: glob pattern
    for exposure id matching scale: scale factor for the output images crop:
    create cropped images for each spot

    Options:
    -o, --output TEXT     Output directory name, defaults to new folder in
                            parent of source

    -w, --wells TEXT      restrict to this wells, * = all  [default: *]
    -e, --Exposures TEXT  restrict to this exposure ids, * = all  [default: *]
    -s, --scale INTEGER   scale-up of images  [default: 2]
    --crop                create cropped images of each spots  [default: False]
    --help                Show this message and exit.



## Development

To install the development version of Sensospot Images:

    git clone https://github.com/holgi/sensospot_grid.git

    # create a virtual environment and install all required dev dependencies
    cd sensospot_grid
    make devenv

To run the tests, use `make tests` or `make coverage` for a complete report.
